@import url('https://fonts.googleapis.com/css2?family=Archivo:wght@200&display=swap');

:root {
    --primary-color: #8D0710;
    --secondary-color: #1b206e;
}

/* Base Style */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    font-family: 'Archivo', sans-serif;;
    color: #111;
}

h1 {
    font-size: 30px;
}

p {
    margin: 20px 0 10px;
    font-size: 1.1rem;
}

section {
    display: flex;
    flex-direction: column;
    height: 100vh;
    align-items: center;
    padding: 100px;
    margin-top: 60px;
}

section.home {
    flex-direction: row;
    margin-top: 0;
}

/* Button */
.btn {
    cursor: pointer;
    display: inline-block;
    background-color: var(--primary-color);
    color: #fff;
    text-decoration: none;
    padding: 10px 30px;
    margin: 20px 0;
    border-radius: 20px;
    
}

.btn:active {
    box-shadow: 0 1px #c1a23c;
    transform: translateY(3px);
}

.btn:hover {
    transform: scale(.98);
}

.logo {
    position: absolute;
    top: 30px;
    left: 100px;
    font-size: 3rem;
    font-weight: 600;
    z-index: 20;
}

/*   Toggle  */
.toggle {
    position: fixed;
    top: 0;
    right: 0;
    width: 60px;
    height: 60px;
    background: var(--primary-color) url(../img/menu.png);
    background-size: 30px;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 20;
    cursor: pointer;
}

.toggle.active {
    background: var(--primary-color) url(../img/close.png);
    background-size: 25px;
    background-position: center;
    background-repeat: no-repeat;
}

/*  Navigation  */
.navigation {
    position: fixed;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 15;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navigation.active {
    left: 0;
}

.navigation ul {
    position: relative;
}

.navigation ul li {
    position: relative;
    list-style: none;
    text-align: center;
}

.navigation ul li a {
    font-size: 2.2rem;
    color: #111;
    text-decoration: none;
    font-weight: 300;
}

/*  Homepage  */
.home-content {
    position: relative;
    z-index: 10;
    max-width: 600px;
}

.navigation ul li a:hover {
    color: var(--primary-color)
}

.navigation .social-bar {
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navigation .social-bar a {
    display: inline-block;
    transform: scale(0.5);
}

.navigation .email-icon {
    position: absolute;
    bottom: 20px;
    transform: scale(0.5);

}

.home-img {
    position: absolute;
    bottom: 0px;
    right: 0px;
    height: 150%;
}

/*  Pagina Servicios */
.services {
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    text-align: center;
}


.services .service {
    padding: 30px;
}

.services .service:hover {
    box-shadow:
    0 58.9px 175.5px -19px rgba(0, 0, 0, 0.036),
    0 66.6px 203.3px -19px rgba(0, 0, 0, 0.04),
    0 74px 206.6px -19px rgba(0, 0, 0, 0.042),
    0 86.4px 199.7px -19px rgba(0, 0, 0, 0.046),
    0 105px 187px -19px rgba(0, 0, 0, 0.05)
  ;
}

.services .service h2 {
    font-size: 24px;
    font-weight: 500;
    margin-top: 20px;
    color: var(--secondary-color)
}

.services .service .icon img {
    max-width: 100px;
}


/*   Pagina Proyectos  */
.portfolio {
    display: flex;
    flex-wrap: wrap;
    margin-top: 20px;
    justify-content: center;
}

.portfolio .item {
    position: relative;
    width: 300px;
    height: 300px;
    margin: 5px;
}

.portfolio .item img {
    width: 100%;
    height: 100%;
}

.portfolio .item .action {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: 0.4s;
}

.portfolio .item:hover .action {
    opacity: 1;
}

.portfolio .item .action a {
    display: inline-block;
    color: #fff;
    text-decoration: none;
    border: 1px solid white;
    padding: 5px 15px;
}

/*   Contacto   */
.contact {
    position: relative;
    width: 100%;
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.contact-form {
    position: relative;
    background: #f9f9f9;
    width: calc(100% - 400px);
    padding: 60px 40px 20px;
}

.contact-form form {
    width: 100%;
}

.contact-form .row {
    width: 100%;
    display: flex;
}

.contact-form .input50 {
    width: 50%;
    margin: 0 10px;
}

.contact-form .input100 {
    width: 100%;
    margin: 0 10px;
}

.contact-form .row input, .contact-form .row textarea {
    position: relative;
    border: 1px solid rgba (0,0,0,0.2);
    color: #111;
    background: transparent;
    width: 100%;
    padding: 10px;
    outline: none;
    font-size: 14px;
    font-weight: 300;
    margin: 8px 0;
    resize: none;
}

.contact-form .row textarea {
    height: 150px;
}

.contact-form .row input 
[type='submit'] {
    background-color: var(--secondary-color);
    color: #fff;
    margin: 0;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: 300;
    border: 0;
    cursor: pointer;
}

.contact-info {
    width: 350px;
    background: #f9f9f9;
    padding: 60px 40px 20px;
}

.contact-info .info-box {
    display: flex;
    align-items: flex-start;
    margin-bottom: 40px;
}

.contact-info .info-box .contact-icon {
    width: 20px;
    margin-right: 40px;
}

.contact-info .info-box .details h4 {
    color: var(--secondary-color);
  }
  
  .contact-info .info-box .details p,
  .contact-info .info-box .details a {
    color: #111;
  }

@media(max-width: 1068px) {
    .home-img {
        opacity: 0.3;
    }

    .logo {
        top: 10px;
        left: 40px;
        font-size: 2rem;
    }

    section {
        padding: 100px 40px;
    }

    .navigation ul li a {
        font-size: 1.5rem;
    }

    .services {
        grid-template-columns: repeat(2, 1fr);
    }

    .contact {
        flex-direction: column;
      }
    
      .contact-form {
        width: 100%;
        padding: 30px 30px 20px;
      }
    
      .contact-form .row {
        flex-direction: column;
      }
    
      .contact-form .input50,
      .contact-form .input100 {
        width: 100%;
        margin: 0;
      }
    
      .contact-info {
        width: 100%;
        margin-top: 20px;
        padding: 30px 30px 20px;
      }
}

@media (max-width: 768px) {
    .services {
        grid-template-columns: 1fr;
    }

    .services .service {
        box-shadow:
        0 58.9px 175.5px -19px rgba(0, 0, 0, 0.036),
        0 66.6px 203.3px -19px rgba(0, 0, 0, 0.04),
        0 74px 206.6px -19px rgba(0, 0, 0, 0.042),
        0 86.4px 199.7px -19px rgba(0, 0, 0, 0.046),
        0 105px 187px -19px rgba(0, 0, 0, 0.05)
      ;
    }    
}
